#include <stdio.h>

void main(void)
{
    unsigned long temp, *ptr;
    float f;
    double d;

    scanf("%f", &f);
    d = (double)f;

    ptr = (unsigned long *)&d;
    temp = *(ptr + 4);
    printf("%08X\n", temp);
    temp = *ptr;
    printf("%08X\n", temp);
}

